Bug 1309591 - Volume retype fails if volume's current type is None
Volume retype fails if volume's current type is None
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
unspecified Severity medium
: ---
: 9.0 (Mitaka)
Assigned To: Tom Barron
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 03:32 EST by Sergey Gotliv
Modified: 2017-02-26 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-03 06:53:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1547546 None None None 2016-02-19 10:23 EST
Red Hat Knowledge Base (Solution) 2460451 None None None 2017-02-26 16:41 EST
OpenStack gerrit 282579 None None None 2016-02-20 11:28 EST

  None (edit)
Description Sergey Gotliv 2016-02-18 03:32:07 EST
Description of problem:

Cinder retype command fails if volume doesn't have a source type.

Version-Release number of selected component (if applicable):

We discovered it in OSP 5.0 but it seems that this issue can 
happen even in the master branch.

How reproducible:
100% on OSP 5.0


Steps to Reproduce:
1. Make sure that cinder.conf doesn't specify a default volume type
2. Create volume without specifying volume type
3. Retype this volume to the new type

Actual results:

Retype fails

Expected results:

Volume should get retyped

Additional info:

1. Configuring a default volume type in cinder.conf resolves that issue.
2. Use cinder migrate instead of retype if all you want is to move volume between different backends.
Comment 1 Sergey Gotliv 2016-04-03 06:53:46 EDT
The patch is merged for Mitaka upstream.

Note You need to log in before you can comment on or make changes to this bug.